/* -*- mode: c++; c-basic-offset: 3; -*- */
#include "html/object.hh"
#include <string>

namespace html {
   class writer;

   /** Html comment block
    *  \brief comment block.
    */
   class comment : public object {
   public:
      /** Comment constructor.
       *  \brief constructor
       *  \param cmnt Comment text.
       */
      comment(const std::string& cmnt);

      /** Destroy a comment block.
       *  \brief destructor
       */
      virtual ~comment(void);

      /** Clone a comment instance.
       *  \brief Clone a comment.
       *  \return Pointer to the cloned instance.
       */
      comment* clone(void) const;

      /** Write the comment to the document stream.
       *  \brief write the comment instance.
       *  \param out  Document writer.
       */
      void write(writer& out) const;
   private:
      std::string _comment;
   };
}
