/* -*- mode: c++; c-basic-offset: 3; -*- */
#ifndef MSGTYPES_HH
#define MSGTYPES_HH

//  Define the transport type. UDP is the default unless TCP_TRANSPORt is 
//  defined 
#define TCP_TRANSPORT 1

#include <string>

namespace lmsg {
   typedef unsigned long error_type;
   typedef          long index_type;
   typedef unsigned long mask_type;
   typedef unsigned long size_type;
   typedef double        wtime_type;

   typedef unsigned int  gps_export_type;

   /**  Option codes for open operation.
     */
   enum openflags {
      o_none=0,     ///< socket no socket modifiers
      o_client=1,   ///< client socket
      o_async=2,    ///< asynchronous socket.
      o_register=4  ///< register socket with name server.
   };

   //-----------------------------------  Deprecated
   typedef error_type error_t;

   /**  Get the descriptive test corresponding to the lmsg error code.
     *  \brief Get descriptive error string.
     *  \param err Error code.
     *  \returns Descriptive text string.
     */
   std::string lmsg_error_string(error_type err);

   /**  print the error message plus the error code string to stderr.
     *  \brief Get descriptive error string.
     *  \param msg Contextual message printed before the error text.
     *  \param err Error code.
     */
   void put_lmsg_error(const std::string& msg, error_type err);

}  // namespace lmsg

#endif  //  MSGTYPES_HH
